#
# spec file for package pinentry (Version 0.7.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-devel cups-libs cvs desktop-translations diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libdrm-devel libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libjpeg-devel liblcms liblcms-devel libltdl-3 libmng libmng-devel libmudflap42 libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openssl-certs pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-base permissions pkg-config popt post-build-checks qt3 qt3-devel rpm sed sysvinit tar texinfo timezone update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           pinentry
BuildRequires:  gtk2-devel libdrm-devel libjpeg-devel ncurses-devel qt3-devel update-desktop-files
Url:            http://www.gnupg.org/aegypten/
Version:        0.7.2
Release:        121.3
Summary:        Collection of Simple PIN or Passphrase Entry Dialogs
License:        GPL v2 or later
AutoReqProv:    on
Source:         pinentry-%{version}.tar.bz2
Source1:        pinentry
Patch0:         moreSecureMemoryForPinentry-qt.diff
Patch1:         %{name}-%{version}-gtk+-2.4.diff
Patch2:         bugzilla-17996-disable-inputmethod-for-passords.patch
Patch3:         %{name}-0.7.2-curses-utf-8.diff
Patch4:         %{name}-0.7.2-qt-utf8.diff
Group:          Productivity/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the Aegypten project.



Authors:
--------
    Robert Bihlmeyer <robbe@orcus.priv.at>
    Werner Koch, g10 Code GmbH <wk@gnupg.org>
    Steffen Hansen, Klarlvdalens Datakonsult AB <steffen@klaralvdalens-datakonsult.se>
    Marcus Brinkmann, g10 Code GmbH <marcus@g10code.com>

%debug_package
%package -n pinentry-qt
License:        GPL v2 or later
Version:        %{version}
Release:        14.2
Provides:       pinentry-dialog
Provides:       pinentry-gui
Provides:       pinentry:/usr/bin/pinentry-qt
Requires:       pinentry
Group:          Productivity/Other
Summary:        Collection of Simple PIN or Passphrase Entry Dialogs

%description -n pinentry-qt
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the Aegypten project.



Authors:
--------
    Robert Bihlmeyer <robbe@orcus.priv.at>
    Werner Koch, g10 Code GmbH <wk@gnupg.org>
    Steffen Hansen, Klarlvdalens Datakonsult AB <steffen@klaralvdalens-datakonsult.se>
    Marcus Brinkmann, g10 Code GmbH <marcus@g10code.com>

%package -n pinentry-gtk2
License:        GPL v2 or later
Version:        %{version}
Release:        14.2
Provides:       pinentry-dialog
Provides:       pinentry-gui
Provides:       pinentry:/usr/bin/pinentry-gtk-2
Requires:       pinentry
Group:          Productivity/Other
Summary:        Collection of Simple PIN or Passphrase Entry Dialogs

%description -n pinentry-gtk2
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the Aegypten project.



Authors:
--------
    Robert Bihlmeyer <robbe@orcus.priv.at>
    Werner Koch, g10 Code GmbH <wk@gnupg.org>
    Steffen Hansen, Klarlvdalens Datakonsult AB <steffen@klaralvdalens-datakonsult.se>
    Marcus Brinkmann, g10 Code GmbH <marcus@g10code.com>

%prep
%setup -q
%patch0 -p 1
%patch1 -p 1
%patch2 -p 1
%patch3
%patch4 -p1

%build
cp /usr/share/gettext/config.rpath .
aclocal -I m4
autoconf
automake
CFLAGS="$RPM_OPT_FLAGS" ./configure \
		--prefix=%{_prefix} \
		--sysconfdir=/etc \
		--libdir=%{_libdir} \
		--infodir=%{_infodir} \
		-enable-pinentry-gtk2 \
                --with-qt-dir=%{_libdir}/qt3/ \
                --with-qt-includes=%{_libdir}/qt3/include/ \
                --with-qt-libraries=%{_libdir}/qt3/%_lib/ 
make 

%install
make DESTDIR=$RPM_BUILD_ROOT install
# remove simlink
rm -rf ${RPM_BUILD_ROOT}%{_bindir}/pinentry
cp %{S:1} ${RPM_BUILD_ROOT}%{_bindir}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %_infodir/pinentry*
%attr(755,root,root) %{_bindir}/pinentry
%attr(755,root,root) %{_bindir}/pinentry-curses

%files -n pinentry-qt
%attr(755,root,root) %{_bindir}/pinentry-qt

%files -n pinentry-gtk2
%attr(755,root,root) %{_bindir}/pinentry-gtk-2

%changelog
* Tue Oct 20 2009 - puzel@suse.cz
- pinentry-qt and pinentry-gtk-2 provide pinentry-gui (bnc#441084)
* Mon Oct 12 2009 - puzel@suse.cz
- do not fail when no graphical pinentry is installed -
  try pinentry-curses instead (bnc#544365)
* Tue Sep 11 2007 - ltinkl@suse.cz
- fix various utf-8 problems (#305725)
* Fri Mar 30 2007 - ro@suse.de
- added ncurses-devel to buildreq
* Fri Jan 05 2007 - anicka@suse.cz
- fix KDE detection in pinentry wrapper script
  (thanks llunak for a patch)
* Wed Nov 22 2006 - anicka@suse.cz
- fixed Provides [#223074]
* Tue Nov 21 2006 - nadvornik@suse.cz
- fixed pinentry script: dont use pinentry-curses in GUI [#205688]
- removed useless provides
* Mon Nov 06 2006 - anicka@suse.de
- split graphical frontends (#217373)
- rewrite pinentry wrapper to use the right binary
* Mon Nov 06 2006 - pnemec@suse.cz
- Fixed pinnentry wrapper #218257
* Mon Oct 16 2006 - schwab@suse.de
- Make sure config.rpath is present.
* Tue Oct 03 2006 - pnemec@suse.cz
- removed static simlink to pinentry-qt
- add script which use pinentry-qt only when KDE is detected
* Mon Jun 26 2006 - mfabian@suse.de
- Bugzilla #179996: enable input methods in SecQlineEdit widgets
  only when "mode == Normal" (i.e. not when "mode == NoEcho" or
  "mode == Password"). Using input methods while inputting
  passwords is useless. See also Bugzilla #117115.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - ro@suse.de
- added symlink to filelist
* Fri Jul 29 2005 - anicka@suse.cz
- update to 0.7.2
- remove part of gtk2 patch contained in new version
* Tue Nov 02 2004 - postadal@suse.cz
- added patch gtk+-2.4.diff.bz2 for gtk2 support (removing gtk1 dependency)
* Tue Jul 13 2004 - adrian@suse.de
- update to version 0.7.1
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Tue Nov 18 2003 - mc@suse.de
- increase secmem allocation for pinentry-qt to avoid
  "Out of memory" errors.
  (pinentry-0.6.9.moreSecureMemoryForPinentry-qt.diff)
* Mon Jun 02 2003 - mc@suse.de
- remove pinentry-0.6.8-prevent-assuan-stderr.dif; no longer needed
- switch to version 0.6.9
  * a memory-issue present in 0.6.8
  * a minor build problem (make distclean now cleans up .moc files)
  * assuan protocol debug messages are not written to stderr
- fixed build on x86_64
* Tue Apr 08 2003 - mc@suse.de
- prevent pinentry-qt to print the assuan protocol to stderr
* Fri Feb 21 2003 - ro@suse.de
- fixed neededforbuild
* Tue Feb 11 2003 - mc@suse.de
- initial release
